﻿@model IEnumerable<AirlinesWeb.Models.Airline>

@{
    ViewData["Title"] = "View";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<main class="content">
    <button id="scrollToTopBtn">↑</button>
    <div class="title">
        <a asp-area="" asp-controller="Home" asp-action="Index"><img src="~/assets/left sidebar.png" alt=""></a>
        <h2>Airlines</h2>
    </div>
    <hr>
    <div class="container">
        <form asp-controller="Airline" asp-action="Search" id="searchForm">
            <input type="text" id="searchInput" name="searchText" placeholder="Search...">
            <select id="filterDropdown" name="filterCriteria">
                <option value="Name">Name</option>
                <option value="Founded">Founded</option>
                <option value="FleetSize">FleetSize</option>
                <option value="Description">Description</option>
            </select>
            <button id="searchButton" type="submit">Search</button>
        </form>
    </div>
    <div class="table fade-in">
        <table>
            <thead>
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Name)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Founded)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.FleetSize)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Description)
                    </th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.Name)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Founded)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.FleetSize)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Description)
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
    <div class="showFormButton">
        <button id="showMoreButton">Show more</button>
        <button id="showFormButton">Show Form</button>
    </div>
    <div class="form fade-in" id="formSection">
        <form asp-controller="Airline" asp-action="Create" id="flightForm" method="post">
            <fieldset>
                <legend>Add New Airline</legend>

                <label for="Name">Name:</label>
                <input type="text" id="name" name="Name" required />
                <span id="nameError" class="error"></span>

                <label for="Founded">Founded:</label>
                <input type="datetime-local" id="founded" name="Founded" required />
                <span id="foundedError" class="error"></span>

                <label for="FleetSize">Fleet size:</label>
                <input type="number" id="fleet_size" name="FleetSize" required />
                <span id="fleetSizeError" class="error"></span>

                <label for="Description">Description:</label>
                <input type="text" id="description" name="Description" required />
                <span id="descriptionError" class="error"></span>

                <button type="submit" id="submitButton" disabled>Submit</button>
            </fieldset>
        </form>
    </div>
    <div style="height: 2000px;">Scroll down to see the button in action!</div>
</main>
<script defer src="~/js/validation.js"></script>
<script defer src="~/js/animation.js"></script>